Open CASCADE Technology: HatchGen_IntersectionPoint Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Protected Attributes
HatchGen_IntersectionPoint Class Referenceabstract

`#include <HatchGen_IntersectionPoint.hxx>`

Inheritance diagram for HatchGen_IntersectionPoint:
[legend]

## Public Member Functions
void | SetIndex (const Standard_Integer Index)
| Sets the index of the supporting curve. More...
Standard_Integer | Index () const
| Returns the index of the supporting curve. More...
void | SetParameter (const Standard_Real Parameter)
| Sets the parameter on the curve. More...
Standard_Real | Parameter () const
| Returns the parameter on the curve. More...
void | SetPosition (const TopAbs_Orientation Position)
| Sets the position of the point on the curve. More...
TopAbs_Orientation | Position () const
| Returns the position of the point on the curve. More...
void | SetStateBefore (const TopAbs_State State)
| Sets the transition state before the intersection. More...
TopAbs_State | StateBefore () const
| Returns the transition state before the intersection. More...
void | SetStateAfter (const TopAbs_State State)
| Sets the transition state after the intersection. More...
TopAbs_State | StateAfter () const
| Returns the transition state after of the intersection. More...
void | SetSegmentBeginning (const Standard_Boolean State=Standard_True)
| Sets the flag that the point is the beginning of a segment. More...
Standard_Boolean | SegmentBeginning () const
| Returns the flag that the point is the beginning of a segment. More...
void | SetSegmentEnd (const Standard_Boolean State=Standard_True)
| Sets the flag that the point is the end of a segment. More...
Standard_Boolean | SegmentEnd () const
| Returns the flag that the point is the end of a segment. More...
virtual void | Dump (const Standard_Integer Index=0) const =0
| Dump of the point on element. More...
virtual | ~HatchGen_IntersectionPoint ()

## Protected Member Functions
| HatchGen_IntersectionPoint ()
| Creates an empty intersection point. More...

## Protected Attributes
Standard_Integer | myIndex
Standard_Real | myParam
TopAbs_Orientation | myPosit
TopAbs_State | myBefore
TopAbs_State | myAfter
Standard_Boolean | mySegBeg
Standard_Boolean | mySegEnd

## Constructor & Destructor Documentation

virtual HatchGen_IntersectionPoint::~HatchGen_IntersectionPoint | ( |  | ) |
| virtual

HatchGen_IntersectionPoint::HatchGen_IntersectionPoint | ( |  | ) |
| protected

Creates an empty intersection point.

## Member Function Documentation

virtual void HatchGen_IntersectionPoint::Dump | ( | const Standard_Integer | Index = `0` | ) | const
| pure virtual

Dump of the point on element.

Implemented in HatchGen_PointOnHatching, and HatchGen_PointOnElement.

Standard_Integer HatchGen_IntersectionPoint::Index | ( |  | ) | const

Returns the index of the supporting curve.

Standard_Real HatchGen_IntersectionPoint::Parameter | ( |  | ) | const

Returns the parameter on the curve.

TopAbs_Orientation HatchGen_IntersectionPoint::Position | ( |  | ) | const

Returns the position of the point on the curve.

Standard_Boolean HatchGen_IntersectionPoint::SegmentBeginning | ( |  | ) | const

Returns the flag that the point is the beginning of a segment.

Standard_Boolean HatchGen_IntersectionPoint::SegmentEnd | ( |  | ) | const

Returns the flag that the point is the end of a segment.

void HatchGen_IntersectionPoint::SetIndex | ( | const Standard_Integer | Index | ) |

Sets the index of the supporting curve.

void HatchGen_IntersectionPoint::SetParameter | ( | const Standard_Real | Parameter | ) |

Sets the parameter on the curve.

void HatchGen_IntersectionPoint::SetPosition | ( | const TopAbs_Orientation | Position | ) |

Sets the position of the point on the curve.

void HatchGen_IntersectionPoint::SetSegmentBeginning | ( | const Standard_Boolean | State = `Standard_True` | ) |

Sets the flag that the point is the beginning of a segment.

void HatchGen_IntersectionPoint::SetSegmentEnd | ( | const Standard_Boolean | State = `Standard_True` | ) |

Sets the flag that the point is the end of a segment.

void HatchGen_IntersectionPoint::SetStateAfter | ( | const TopAbs_State | State | ) |

Sets the transition state after the intersection.

void HatchGen_IntersectionPoint::SetStateBefore | ( | const TopAbs_State | State | ) |

Sets the transition state before the intersection.

TopAbs_State HatchGen_IntersectionPoint::StateAfter | ( |  | ) | const

Returns the transition state after of the intersection.

TopAbs_State HatchGen_IntersectionPoint::StateBefore | ( |  | ) | const

Returns the transition state before the intersection.

## Field Documentation

TopAbs_State HatchGen_IntersectionPoint::myAfter
| protected

TopAbs_State HatchGen_IntersectionPoint::myBefore
| protected

Standard_Integer HatchGen_IntersectionPoint::myIndex
| protected

Standard_Real HatchGen_IntersectionPoint::myParam
| protected

TopAbs_Orientation HatchGen_IntersectionPoint::myPosit
| protected

Standard_Boolean HatchGen_IntersectionPoint::mySegBeg
| protected

Standard_Boolean HatchGen_IntersectionPoint::mySegEnd
| protected

The documentation for this class was generated from the following file:

- HatchGen_IntersectionPoint.hxx